Subject: bug#33157: QUOTING_STYLE change of default

From: Arvid Requate <[email-masked]>
Date: Thu, 25 Oct 2018 23:45:19 +0200

Hi,

after updating to Debian buster I had the impression that my eyes are failing 
on me. This posting pretty much summarizes my opinion:

http://lists.gnu.org/archive/html/coreutils/2016-02/msg00001.html

especially the first paragraph: 

On 02/01/16 07:17 Harald Dunkel wrote:
> On 02/01/16 17:07, Pádraig Brady wrote:
> 
> > The reasons we changed the default was:
> > 
> > - It only happens when outputting to terminals
> 
> This means if you use "ls -1 | somescript" the script will
> not see the quoting style. Don't you think that this is
> inconsistent, not to mention that a script would benefit
> much more from this quoting style than a human?

I feel that this upstream change is a misuse of power by three coreutils 
developers and I vote for reverting to the old default of "literal".

Cheers,
Arvid Requate